org.keycloak.crypto

## Class JavaAlgorithm

- java.lang.Object
- - org.keycloak.crypto.JavaAlgorithm

-     public class JavaAlgorithm
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AES`
    `static String` | `ES256`
    `static String` | `ES384`
    `static String` | `ES512`
    `static String` | `HS256`
    `static String` | `HS384`
    `static String` | `HS512`
    `static String` | `PS256`
    `static String` | `PS384`
    `static String` | `PS512`
    `static String` | `RS256`
    `static String` | `RS384`
    `static String` | `RS512`
    `static String` | `SHA256`
    `static String` | `SHA384`
    `static String` | `SHA512`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaAlgorithm()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getJavaAlgorithm(String algorithm)`
    `static String` | `getJavaAlgorithmForHash(String algorithm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RS256

          public static final String RS256

      See Also:
        Constant Field Values

    - #### RS384

          public static final String RS384

      See Also:
        Constant Field Values

    - #### RS512

          public static final String RS512

      See Also:
        Constant Field Values

    - #### HS256

          public static final String HS256

      See Also:
        Constant Field Values

    - #### HS384

          public static final String HS384

      See Also:
        Constant Field Values

    - #### HS512

          public static final String HS512

      See Also:
        Constant Field Values

    - #### ES256

          public static final String ES256

      See Also:
        Constant Field Values

    - #### ES384

          public static final String ES384

      See Also:
        Constant Field Values

    - #### ES512

          public static final String ES512

      See Also:
        Constant Field Values

    - #### PS256

          public static final String PS256

      See Also:
        Constant Field Values

    - #### PS384

          public static final String PS384

      See Also:
        Constant Field Values

    - #### PS512

          public static final String PS512

      See Also:
        Constant Field Values

    - #### AES

          public static final String AES

      See Also:
        Constant Field Values

    - #### SHA256

          public static final String SHA256

      See Also:
        Constant Field Values

    - #### SHA384

          public static final String SHA384

      See Also:
        Constant Field Values

    - #### SHA512

          public static final String SHA512

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JavaAlgorithm

          public JavaAlgorithm()

  - ### Method Detail

    - #### getJavaAlgorithm

          public static String getJavaAlgorithm(String algorithm)

    - #### getJavaAlgorithmForHash

          public static String getJavaAlgorithmForHash(String algorithm)

Copyright © 2021 JBoss by Red Hat. All rights reserved.